For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList data connections
      • POSTCreate connect session
      • POSTSync connections
      • GETGet data connection
      • DELDelete data connection
      • PATCHUpdate connection status
      • GETList connection tools
Dashboard
LogoLogo
Runtype APIData Connections

Delete data connection

DELETE
/v1/data-connections/:id
DELETE
/v1/data-connections/:id
$curl -X DELETE https://api.runtype.com/v1/data-connections/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "success": true
3}
Delete a data connection by ID.
Was this page helpful?
Previous

Update connection status

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Response

Connection deleted
successboolean

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error